---

- name: install git
  become: yes
  apt:
    name: git

- name: create camera-vision application directory
  become: yes
  file:
    path: /opt/camera-vision
    state: directory
    owner: ubuntu
    group: domain^users
    mode: u=rwx,g=rwx,o=

- name: update checkout
  git:
    repo: git@git.zooxlabs.com:zooxco/driving.git
    dest: /opt/camera-vision
    version: master
    accept_hostkey: yes

- name: change checkout ownership
  become: yes
  file:
    path: /opt/camera-vision
    state: directory
    group: domain^users
    recurse: yes
